Package org.apache.sysds.lops.compile.linearization

# Class IDagLinearizerFactory

java.lang.Object
org.apache.sysds.lops.compile.linearization.IDagLinearizerFactory

public class IDagLinearizerFactory extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`IDagLinearizerFactory.DagLinearizer`

## Field Summary

Fields
Modifier and Type
Field
Description
`static org.apache.commons.logging.Log`
`LOG`

## Constructor Summary

Constructors
Constructor
Description
`IDagLinearizerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IDagLinearizer`
`createDagLinearizer()`
`static IDagLinearizer`
`createDagLinearizer(IDagLinearizerFactory.DagLinearizer type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

public static org.apache.commons.logging.Log LOG

## Constructor Details

### IDagLinearizerFactory

public IDagLinearizerFactory()

## Method Details

### createDagLinearizer

public static IDagLinearizer createDagLinearizer()

### createDagLinearizer

public static IDagLinearizer createDagLinearizer(IDagLinearizerFactory.DagLinearizer type)